Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class MockRequestDispatcher

    java.lang.Object
      org.springframework.mock.web.MockRequestDispatcher

All Implemented Interfaces:
  RequestDispatcher

    public class MockRequestDispatcher

extends Object
implements RequestDispatcher

Mock implementation of the `RequestDispatcher` interface.

Used for testing the web framework; typically not necessary for testing application controllers.

Since:
  1.0.2
Author:
  Rod Johnson, Juergen Hoeller

Constructor Summary
`MockRequestDispatcher(String url)` Create a new MockRequestDispatcher for the given URL.

Method Summary
`void` | `forward(ServletRequest request, ServletResponse response)`
`protected MockHttpServletResponse` | `getMockHttpServletResponse(ServletResponse response)` Obtain the underlying MockHttpServletResponse, unwrapping `HttpServletResponseWrapper` decorators if necessary.
`void` | `include(ServletRequest request, ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockRequestDispatcher

    public MockRequestDispatcher(String url)

  Create a new MockRequestDispatcher for the given URL.

  Parameters:
    `url` - the URL to dispatch to.

Method Detail

### forward

    public void forward(ServletRequest request,
                        ServletResponse response)

  Specified by:
    `forward` in interface `RequestDispatcher`

### include

    public void include(ServletRequest request,
                        ServletResponse response)

  Specified by:
    `include` in interface `RequestDispatcher`

### getMockHttpServletResponse

    protected MockHttpServletResponse getMockHttpServletResponse(ServletResponse response)

  Obtain the underlying MockHttpServletResponse, unwrapping `HttpServletResponseWrapper` decorators if necessary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.